/********************************************************************/
/*                                                                  */
/* Program name: SAMPMQDX.H                                         */
/*                                                                  */
/* Description: Header file for the Dialer Exit sample DLL.         */
/*                                                                  */
/* Statement:     Licensed Materials - Property of IBM              */
/*                                                                  */
/*                5622-960 (C) Copyright IBM Corp. 1996             */
/*                                                                  */
/*                U.S. Government Users Restricted Rights - use,    */
/*                duplication or disclosure restricted by GSA ADP   */
/*                Schedule Contract with IBM Corp.                  */
/*                                                                  */
/********************************************************************/

/********************************************************************/
/*                                                                  */
/* Dialer Exit Functions:                                           */
/*                                                                  */
/*   MQDX_Initialize               : Initialise interface           */
/*   MQDX_WhichFeaturesSupported   : Return which features supported*/
/*   MQDX_StartDialer              : Start dialer                   */
/*   MQDX_IsDialerConnectionActive : Check status of connection     */
/*   MQDX_StopDialer               : Stop dialer                    */
/*   MQDX_Terminate                : Terminate interface            */
/*                                                                  */
/********************************************************************/
BOOL _loadds _far MQDX_Initialize( HWND    hwndDialerExtension,
                                   FARPROC lpfnConnectionNowUp,
                                   FARPROC lpfnConnectionNowDown );
LONG _loadds _far MQDX_WhichFeaturesSupported( void );
UINT _loadds _far MQDX_StartDialer( void );
BOOL _loadds _far MQDX_IsDialerConnectionActive( void );
UINT _loadds _far MQDX_StopDialer( void );
void _loadds _far MQDX_Terminate( void );

/********************************************************************/
/*                                                                  */
/* Dialer Exit Constants:                                           */
/*                                                                  */
/*   DIALER_FILE_NAME : Executable name of the dialer program.      */
/*                                                                  */
/*                                                                  */
/*   FunctionsSupported bit flags:                                  */
/*                                                                  */
/*   xxxx xxxx xxxx xxx1          CALLBACK_ON_CONNECTION_CHANGE     */
/*   xxxx xxxx xxxx xx1x          SERVER_INITIATED_CALLS            */
/*                                                                  */
/********************************************************************/

#define CALLBACK_ON_CONNECTION_CHANGE  0x0001
#define SERVER_INITIATED_CALLS         0x0002
